Solid Commerce Docs
GET/v1/fulfillment/forms/{documentType}

GET /v1/fulfillment/forms/{documentType}

Scopes: fulfillment:packing_slips:readfulfillment:pick_lists:read

Requires scope: fulfillment:packing_slips:read, fulfillment:pick_lists:read.

Parameters

NameInTypeRequiredDescription
documentTypepathstringyes

Response (200)

FieldTypeRequiredDescription
document_typestringno
templatesFulfillmentFormTemplate[]no
optionsobjectno

Examples

import { SolidCommerceClient } from '@solidcommerce/sdk';

const client = new SolidCommerceClient({
  apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});

const { data, error } = await client.raw.GET('/v1/fulfillment/forms/{documentType}', {
  // params: { path: { id: '...' }, query: { limit: 25 } },
  // body: { /* request body */ },
});

if (error) throw error;
console.log(data);